import argparse

parser = argparse.ArgumentParser(description='Example of argsparse.')
parser.add_argument('input', help='Input CSV file', type=str)
parser.add_argument('-H', '--header',
    help='Interpret the first line as column names', 
    action='store_true')
parser.add_argument('-v', '--verbose', 
    help='Print extra information', 
    action='store_true')
parser.add_argument('-d', '--delimiter', 
    help='Delimiter in the CSV file', 
    type=str, default=',')
parser.add_argument('-s', '--stat', 
    help='Statistics to be computed', 
    choices=['mean', 'median', 'min', 'max'], default='mean')
args = parser.parse_args()

print('Input file:', args.input)
print('Header:', args.header)
print('Verbose:', args.verbose)
print('Delimiter:', args.delimiter)
print('Statistics:', args.stat)